=== modified file 'drizzled/create_field.cc'
--- drizzled/create_field.cc	2011-02-18 16:15:33 +0000
+++ drizzled/create_field.cc	2011-02-21 22:12:35 +0000
@@ -375,7 +375,7 @@
         /* Should be safe. */
         pack_length= 4;
 
-        List<String>::iterator it(*fld_interval_list);
+        List<String>::iterator it(fld_interval_list->begin());
         String *tmp;
         while ((tmp= it++))
           interval_list.push_back(tmp);

=== modified file 'drizzled/foreign_key.cc'
--- drizzled/foreign_key.cc	2011-02-19 23:05:57 +0000
+++ drizzled/foreign_key.cc	2011-02-21 22:12:35 +0000
@@ -64,13 +64,13 @@
   pfkey->set_references_table_name(table->table.str);
 
   Key_part_spec *keypart;
-  List<Key_part_spec>::iterator col_it(cols);
+  List<Key_part_spec>::iterator col_it(cols.begin());
   while ((keypart= col_it++))
   {
     pfkey->add_column_names(keypart->field_name.str);
   }
 
-  List<Key_part_spec>::iterator ref_it(ref_cols);
+  List<Key_part_spec>::iterator ref_it(ref_cols.begin());
   while ((keypart= ref_it++))
   {
     pfkey->add_references_columns(keypart->field_name.str);
@@ -122,8 +122,8 @@
   if (a->columns.elements > b->columns.elements)
     return true;                                // Can't be prefix
 
-  List<Key_part_spec>::iterator col_it1(a->columns);
-  List<Key_part_spec>::iterator col_it2(b->columns);
+  List<Key_part_spec>::iterator col_it1(a->columns.begin());
+  List<Key_part_spec>::iterator col_it2(b->columns.begin());
   const Key_part_spec *col1, *col2;
 
 #ifdef ENABLE_WHEN_INNODB_CAN_HANDLE_SWAPED_FOREIGN_KEY_COLUMNS
@@ -166,8 +166,8 @@
 {
   CreateField  *sql_field;
   Key_part_spec *column;
-  List<Key_part_spec>::iterator cols(columns);
-  List<CreateField>::iterator it(table_fields);
+  List<Key_part_spec>::iterator cols(columns.begin());
+  List<CreateField>::iterator it(table_fields.begin());
   while ((column= cols++))
   {
     it= table_fields.begin();

=== modified file 'drizzled/item/cmpfunc.h'
--- drizzled/item/cmpfunc.h	2011-02-20 00:09:56 +0000
+++ drizzled/item/cmpfunc.h	2011-02-21 22:12:35 +0000
@@ -1601,7 +1601,7 @@
 {
 public:
   inline Item_equal_iterator(Item_equal &item_equal)
-    :List<Item_field>::iterator (item_equal.fields)
+    :List<Item_field>::iterator (item_equal.fields.begin() )
   {}
   inline Item_field* operator++(int)
   {

=== modified file 'drizzled/sql_list.h'
--- drizzled/sql_list.h	2011-02-21 18:49:48 +0000
+++ drizzled/sql_list.h	2011-02-21 22:12:35 +0000
@@ -430,7 +430,7 @@
 list_copy_and_replace_each_value(List<T> &list, memory::Root *mem_root)
 {
   /* Make a deep copy of each element */
-  typename List<T>::iterator it(list);
+  typename List<T>::iterator it(list.begin());
   T *el;
   while ((el= it++))
     it.replace(el->clone(mem_root));

=== modified file 'drizzled/table_proto_write.cc'
--- drizzled/table_proto_write.cc	2011-02-18 11:56:54 +0000
+++ drizzled/table_proto_write.cc	2011-02-21 22:12:35 +0000
@@ -52,7 +52,7 @@
                       KeyInfo *key_info)
 {
   CreateField *field_arg;
-  List<CreateField>::iterator it(create_fields);
+  List<CreateField>::iterator it(create_fields.begin());
   message::Table::TableOptions *table_options= table_proto.mutable_options();
 
   if (create_fields.elements > MAX_FIELDS)

